diff -u dictd-1.10.2/debian/rules dictd-1.10.2/debian/rules
--- dictd-1.10.2/debian/rules
+++ dictd-1.10.2/debian/rules
@@ -56,7 +56,7 @@
   confflags += --build $(DEB_BUILD_GNU_TYPE) --host $(DEB_HOST_GNU_TYPE)
 endif
 
-FILES_TO_CLEAN  = debian/files debian/*~
+FILES_TO_CLEAN  = debian/files debian/substvars debian/*~
 DIRS_TO_CLEAN   = debian/tmp debian/tmp_2 debian/tmp_3 debian/tmp_4
 STAMPS_TO_CLEAN = stamp-*
 
@@ -109,6 +109,8 @@
 		-o -name '*.bak' -o -name '#*#' -o -name '.*.orig' \
 		-o -name '.*.rej' -o -name '.SUMS' -o -size 0 \) -print` TAGS
 	rm -f config.sub config.guess
+	rm -f libmaa/config.sub libmaa/config.guess
+	rm -f libmaa/arggram2c
 
 binary: binary-indep binary-arch
 
@@ -164,7 +166,7 @@
 	$(install_file)      debian/readme-dictunformat \
 			      debian/tmp/usr/share/doc/$(pkg)/README.Unformat
 	gzip -9frq           debian/tmp/usr/share/doc/$(pkg)/
-	ln -s ./NEWS.gz debian/tmp/usr/share/doc/$(pkg)/changelog.gz
+	ln -sf NEWS.gz debian/tmp/usr/share/doc/$(pkg)/changelog.gz
 	$(install_script)    debian/dictd debian/tmp/etc/init.d/dictd
 	$(install_script)    debian/dictdconfig debian/tmp/usr/sbin/dictdconfig
 	$(install_script)    debian/dictdconfig.alias debian/tmp/etc/dictd/dictdconfig.alias
@@ -215,7 +217,7 @@
 	$(install_file)      debian/news \
 			      debian/tmp_2/usr/share/doc/$(pkg_2)/NEWS.Debian
 	gzip -9frq           debian/tmp_2/usr/share/doc/$(pkg_2)/
-	ln -s ./NEWS.gz debian/tmp_2/usr/share/doc/$(pkg_2)/changelog.gz
+	ln -sf NEWS.gz debian/tmp_2/usr/share/doc/$(pkg_2)/changelog.gz
 	$(install_file)      debian/dict.conf debian/tmp_2/etc/dictd/dict.conf
 # Make sure the copyright file is not compressed
 	$(install_file)      debian/copyright \
@@ -244,8 +246,8 @@
 	$(make_directory)    debian/tmp_3/usr/share/doc
 	$(make_directory)    debian/tmp_3/usr/share/doc/$(pkg_3)
 	$(install_binary)    dictzip debian/tmp_3/usr/bin
-	ln -s ./dictzip debian/tmp_3/usr/bin/dictunzip
-	ln -s ./dictzip debian/tmp_3/usr/bin/dictzcat
+	ln -sf dictzip debian/tmp_3/usr/bin/dictunzip
+	ln -sf dictzip debian/tmp_3/usr/bin/dictzcat
 	$(install_file)      NEWS \
 			      debian/tmp_3/usr/share/doc/$(pkg_3)/NEWS
 	$(install_file)      debian/changelog \
@@ -254,13 +256,13 @@
 			      debian/tmp_3/usr/share/doc/$(pkg_3)/NEWS.Debian
 	gzip -9frq           debian/tmp_3/usr/share/doc/$(pkg_3)/
 # Make sure the copyright file is not compressed
-	ln -s ./NEWS.gz debian/tmp_3/usr/share/doc/$(pkg_3)/changelog.gz
+	ln -sf NEWS.gz debian/tmp_3/usr/share/doc/$(pkg_3)/changelog.gz
 	$(install_file)      debian/copyright \
 	                     debian/tmp_3/usr/share/doc/$(pkg_3)/copyright
 	$(install_file)      dictzip.1 debian/tmp_3/usr/share/man/man1/dictzip.1
 	gzip -9fq            debian/tmp_3/usr/share/man/man1/dictzip.1
-	ln -s ./dictzip.1.gz debian/tmp_3/usr/share/man/man1/dictunzip.1.gz
-	ln -s ./dictzip.1.gz debian/tmp_3/usr/share/man/man1/dictzcat.1.gz
+	ln -sf dictzip.1.gz debian/tmp_3/usr/share/man/man1/dictunzip.1.gz
+	ln -sf dictzip.1.gz debian/tmp_3/usr/share/man/man1/dictzcat.1.gz
 	dpkg-shlibdeps       debian/tmp_3/usr/bin/dictzip
 	dpkg-gencontrol      -isp -pdictzip -Pdebian/tmp_3
 	chown -R root.root   debian/tmp_3
@@ -293,7 +295,7 @@
 			      debian/tmp_4/usr/share/doc/$(pkg_4)/NEWS.Debian
 	gzip -9frq debian/tmp_4/usr/share/doc/$(pkg_4)/
 # Make sure the copyright file is not compressed
-	ln -s ./NEWS.gz debian/tmp_4/usr/share/doc/$(pkg_4)/changelog.gz
+	ln -sf NEWS.gz debian/tmp_4/usr/share/doc/$(pkg_4)/changelog.gz
 	$(install_file)      debian/copyright \
 			      debian/tmp_4/usr/share/doc/$(pkg_4)/copyright
 	$(install_file)      dictfmt.1 debian/tmp_4/usr/share/man/man1/dictfmt.1
diff -u dictd-1.10.2/debian/control dictd-1.10.2/debian/control
--- dictd-1.10.2/debian/control
+++ dictd-1.10.2/debian/control
@@ -4,7 +4,7 @@
 Maintainer: Kirk Hilliard <kirk@debian.org>
 Uploaders: Robert D. Hilliard <hilliard@debian.org>
 Build-Depends: flex, bison, zlib1g-dev, libltdl3-dev, autotools-dev
-Standards-Version: 3.6.2
+Standards-Version: 3.7.2
 
 Package: dictd 
 Section: text
diff -u dictd-1.10.2/debian/copyright dictd-1.10.2/debian/copyright
--- dictd-1.10.2/debian/copyright
+++ dictd-1.10.2/debian/copyright
@@ -33,8 +33,8 @@
 
 A copy of the GNU General Public License is also available at
 <URL:http://www.gnu.org/copyleft/gpl.html>.  You may also obtain it by
-writing to the Free Software Foundation, Inc., 59 Temple Place - Suite
-330, Boston, MA 02111-1307, USA.
+writing to the Free Software Foundation, Inc., 51 Franklin Street,
+Fifth Floor, Boston, MA 02110-1301 USA.
 
 The several dictionary databases that are available for use with this
 software (which are not included in this package) each have their own
diff -u dictd-1.10.2/debian/dict.conf dictd-1.10.2/debian/dict.conf
--- dictd-1.10.2/debian/dict.conf
+++ dictd-1.10.2/debian/dict.conf
@@ -16,0 +17,3 @@
+server dict0.us.dict.org
+server alt0.dict.org
+
diff -u dictd-1.10.2/debian/postrm dictd-1.10.2/debian/postrm
--- dictd-1.10.2/debian/postrm
+++ dictd-1.10.2/debian/postrm
@@ -34,7 +34,7 @@
         rm -f /var/lib/dictd/db.list
         rmdir --ignore-fail-on-non-empty /var/lib/dictd/  || true
 # remove user, group and home directory dictd
-        deluser --remove-home dictd &>/dev/null || true
+        deluser --remove-home dictd >/dev/null 2>&1 || true
         rmdir  --ignore-fail-on-non-empty /etc/dictd || true
         exit 0
     ;;
diff -u dictd-1.10.2/debian/preinst dictd-1.10.2/debian/preinst
--- dictd-1.10.2/debian/preinst
+++ dictd-1.10.2/debian/preinst
@@ -24,7 +24,7 @@
     upgrade)
 
     if [ -e /var/run/dictd.pid ]; then rm -f /var/run/dictd.pid; fi
-    if [ "$PID" ]; then  kill $PID &>/dev/null; fi
+    if [ "$PID" ]; then  kill $PID >/dev/null 2>&1; fi
 # /etc/dictd.conf moved to /etc/dictd/dictd.conf in 1.9.x
     if dpkg --compare-versions "$2" lt "1.9"; then
        if [ -e /etc/dictd.conf ]; then
@@ -42,7 +42,7 @@
 
     install)
      if [ -e /var/run/dictd.pid ]; then rm -f /var/run/dictd.pid; fi
-     if [ "$PID" ]; then  kill $PID &>/dev/null; fi
+     if [ "$PID" ]; then  kill $PID >/dev/null 2>&1; fi
      exit 0
     ;;
 
reverted:
--- dictd-1.10.2/debian/substvars
+++ dictd-1.10.2.orig/debian/substvars
@@ -1 +0,0 @@
-shlibs:Depends=libc6 (>= 2.3.2.ds1-4), zlib1g (>= 1:1.2.1)
diff -u dictd-1.10.2/debian/preinst-dict dictd-1.10.2/debian/preinst-dict
--- dictd-1.10.2/debian/preinst-dict
+++ dictd-1.10.2/debian/preinst-dict
@@ -2,29 +2,27 @@
-
 set -e
 
-case "$1" in
-    upgrade)
-
-# /etc/dict.conf moved to /etc/dictd/dict.conf in 1.9.11
-    if dpkg --compare-versions "$2" lt "1.9.11"; then
-       if [ -e /etc/dict.conf ]; then
-         echo "Moving dict.conf from /etc to /etc/dictd."
-         mkdir -p /etc/dictd
-         mv /etc/dict.conf /etc/dictd/dict.conf
-         touch /etc/dict.conf.moved_by_preinst
-       fi
-     fi             
-    exit 0
-    ;;
+move_conffile ()
+{
+       dpkg --compare-versions "$1" ge-nl "1.9.11" && return;
+       [ ! -e /etc/dict.conf ] && return;
+       [ -e /etc/dictd/dict.conf ] && return;
+       [ -d /etc/dictd ] || mkdir /etc/dictd;
+       touch /etc/dict.conf.moved_by_preinst;
+       mv -v /etc/dict.conf /etc/dictd/dict.conf >&2;
+}
 
-    install|failed-upgrade|abort-install|abort-upgrade|disappear)
-     exit 0
-    ;;
-
-    *)
-        echo "preinst called with unknown argument \`$1'" >&2
-        exit 0
-    ;;
+case "$1" in
+install|upgrade)
+       # /etc/dict.conf moved to /etc/dictd/dict.conf in 1.9.11
+       move_conffile "$2"
+       ;;
+
+abort-upgrade)
+       # Postrm has only error handling; nothing to undo
+       ;;
+
+*)
+       echo "preinst called with unknown argument \`$1'" >&2
+       exit 1
+       ;;
 esac
-
-     exit 0
diff -u dictd-1.10.2/debian/postrm-dict dictd-1.10.2/debian/postrm-dict
--- dictd-1.10.2/debian/postrm-dict
+++ dictd-1.10.2/debian/postrm-dict
@@ -1,28 +1,25 @@
 #! /bin/sh
-
 set -e
 
-cleanup () {
-  if [ -e /etc/dict.conf.moved_by_preinst -a -d /etc/dictd ]; then 
-    if [ -e /etc/dictd/dict.conf ]; then
-       mv /etc/dictd/dict.conf /etc/dict.conf
-    fi
-    rmdir /etc/dictd/
-    rm /etc/dict.conf.moved by preinst
-  fi
+cleanup ()
+{
+       [ ! -e /etc/dict.conf.moved_by_preinst ] && return;
+       [ -e /etc/dictd/dict.conf ] && mv /etc/dictd/dict.conf /etc/
+       [ -e /etc/dictd ] && rmdir /etc/dictd;
+       rm /etc/dict.conf.moved_by_preinst
 }
 
 case "$1" in
-   failed-install|abort-install|abort-upgrade|failed-upgrade)
-        cleanup
-        exit 0
-    ;;
+abort-install|abort-upgrade)
+       # Undo the effects of preinst install/upgrade.
+       cleanup
+       ;;
+
+remove|purge|upgrade|failed-upgrade|disappear)
+       ;;
 
-    remove|purge|upgrade|disappear)
-        exit 0
-    ;;
-    *)
-        echo "postrm called with unknown argument \`$1'" >&2
-        exit 0
-    ;;
+*)
+       echo "postrm called with unknown argument \`$1'" >&2
+       exit 1
+       ;;
 esac
diff -u dictd-1.10.2/debian/postinst-dict dictd-1.10.2/debian/postinst-dict
--- dictd-1.10.2/debian/postinst-dict
+++ dictd-1.10.2/debian/postinst-dict
@@ -1,23 +1,17 @@
 #! /bin/sh
-
 set -e
 
-PACKAGE=dict
-
 case "$1" in 
-     configure)
-     if [ -e /etc/dict.conf.moved_by_preinst ]; then 
-        rm /etc/dict.conf.moved_by_preinst;
-     fi
-     exit 0
-     ;;
+configure)
+       rm -f /etc/dict.conf.moved_by_preinst;
+       ;;
 
-    failed-upgrade|abort-upgrade|abort-remove|abort-deconfigure|in-favour|removing)
-        exit 0;
-    ;;
+abort-upgrade|abort-remove|abort-deconfigure)
+       # No prerm script, so no need to roll back
+       ;;
 
-    *)
-        echo "postinst called with unknown argument \`$1'" >&2;
-        exit 0;
-    ;;
+*)
+       echo "postinst called with unknown argument \`$1'" >&2;
+       exit 1;
+       ;;
 esac
diff -u dictd-1.10.2/debian/changelog dictd-1.10.2/debian/changelog
--- dictd-1.10.2/debian/changelog
+++ dictd-1.10.2/debian/changelog
@@ -1,3 +1,30 @@
+dictd (1.10.2-3.1) unstable; urgency=low
+
+  * Non-Maintainer Upload.
+  * debian/control:
+    + Bumped Standards-Version to 3.7.2 (no changes).
+  * debian/rules:
+    + Remove libmaa/config.{guess,sub} in clean target.
+    + Remove libmaa/arggram2c in clean target (autogenerated).
+    + Add debian/substvars to FILES_TO_CLEAN.
+    + Fix the way symlinks were created.
+  * debian/copyright:
+    + Update FSF address.
+  * debian/changelog:
+    + Removed bogus changelog entry for version 1.9.9-4.
+  * debian/preinst:
+    + Fix &> bashism.
+  * debian/postrm:
+    + Fix &> bashism.
+  * debian/dict.conf:
+    + Added alternative dict servers to the configuration file, as dict.org
+      seems to be down, making the package unusable (closes: #405863).
+  * debian/preinst-dict, debian/postinst-dict, debian/postrm-dict:
+    + Applied patch from Justin Pryzby, fixing various errors in the maintainer
+      scripts (closes: #372144).
+
+ -- Julien BLACHE <jblache@debian.org>  Fri, 12 Jan 2007 14:23:45 +0100
+
 dictd (1.10.2-3) unstable; urgency=low
 
   * Changed umask to 022 to avoid "other writable" pid files.
@@ -241,11 +268,6 @@
  -- Robert D. Hilliard <hilliard@debian.org>  Mon, 04 Aug 2003 15:53:01 -0400
 
 
-dictd (1.9.9-4) unstable; urgency=low
-
- -- Robert D. Hilliard <hilliard@debian.org>  Fri, 30 May 2003 16:37:07 -0400
-
-
 dictd (1.9.9-3) unstable; urgency=low
 
   * Added #include <assert.h> in dictdplugin_popen.cpp Closes: # 195405
